# Contributing to Omnidash

Thank you for your interest in contributing to Omnidash! We welcome contributions from the community to help improve the project.

## Getting Started

To get started with contributing, please follow these steps:

1. Fork the repository and clone it to your local machine.
2. Install any necessary dependencies.
3. Create a new branch for your changes.
4. Make your desired changes to the codebase.
5. Test your changes to ensure they work as expected.
6. Commit your changes with a descriptive commit message.
7. Push your changes to your forked repository.
8. Submit a pull request to the main repository.

## Code Style

We follow a specific code style in this project to maintain consistency. Please make sure to adhere to the following guidelines by running ESLint and Prettier:

```sh
pnpm run format && pnpm run lint
```

Also:

- Follow naming conventions for variables, functions, and classes.
- Write clear and concise comments to explain your code.

## Reporting Issues

If you encounter any issues or have suggestions for improvement, please open an issue on the project's GitHub repository. Provide as much detail as possible to help us understand and address the problem.

## Contact

If you have any questions or need further assistance, feel free to reach out to us at [bart@vanderbraak.nl].

We appreciate your contributions and look forward to working with you!
